org.apache.tapestry5.webresources

## Class WebResourcesSymbols

- java.lang.Object
- - org.apache.tapestry5.webresources.WebResourcesSymbols

-     public class WebResourcesSymbols
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHE_DIR` Directory that stores cached copies of compiled CoffeeScript files.
    `static String` | `COMPILATION_LEVEL` Defines the level at which the Google Closure compiler operations, as per `CompilationLevel`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebResourcesSymbols()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHE_DIR

          public static final String CACHE_DIR

      Directory that stores cached copies of compiled CoffeeScript files. The directory will be created as necessary. This allows compilation (e.g., CoffeeScript to JavaScript) to be avoided after a restart. The default is under the `java.io.tmpdir` system property (which is not necessarily stable between executions). It is common to set this to `target/asset-cache` during development.
      See Also:
        Constant Field Values

    - #### COMPILATION_LEVEL

          public static final String COMPILATION_LEVEL

      Defines the level at which the Google Closure compiler operations, as per `CompilationLevel`. The default is "WHITESPACE_ONLY", though "SIMPLE_OPTIMIZATIONS" should also work. Advanced optimizations will likely not work, as Tapestry's more incremental approach to JavaScript (including the use of jQuery and jQuery plugins) is not compatible with Closure.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebResourcesSymbols

          public WebResourcesSymbols()

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.